import { ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
export declare class StiNameEditorComponent implements OnInit {
    model: StiModelService;
    property: StiEditorProperty;
    nameEditor: ElementRef;
    constructor(model: StiModelService);
    hasName: boolean;
    required: boolean;
    get name(): string;
    ngOnInit(): void;
    onInput(name: string): void;
    onFocus(): void;
    onBlur(): void;
    isValid(name: string): boolean;
    isLetterOrDigit(char: any): boolean;
}
